Package a Snapshot - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Package a Snapshot
POST
/v2.0/snapshots/{snapshotId}/package
Try it
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/package \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/package"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/package', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/package",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/snapshots/{snapshotId}/package"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Errors
Response Codes:
- 202: Task to package the Snapshot successfully created.
- 400: Bad Request
- 401: Unauthorized
- 402: Payment Required
- 403: Forbidden
- 404: Not Found
- 500: Internal Server Error
- 503: Service Unavailable
Example Response
{
"_id": "<string>",
"status": "queued",
"type": "trainIntents",
"parameters": {},
"lastChangedAt": 1594243850,
"lastCreatedAt": 1594243850,
"currentStep": 0,
"totalStep": 100
}
Authorizations
- API Key is required in the request header:
| Header Name | Type | Required | |-----------|------|----------| | X-API-Key | string | yes |
Headers
- Accept: Specifies the media type that the client expects in the response.
- Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. Default:application/json.
- Available options:
Path Parameters
- snapshotId: The unique identifier for the Snapshot.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
- Required string length:
Last Modified
Last modified on July 8, 2026.